/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing SelfSessionApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class SelfSessionApiTests : IDisposable
    {
        private SelfSessionApi instance;

        public SelfSessionApiTests()
        {
            instance = new SelfSessionApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of SelfSessionApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' SelfSessionApi
            //Assert.IsType<SelfSessionApi>(instance);
        }

        /// <summary>
        /// Test ApiV2SelfSessionLogoutPost
        /// </summary>
        [Fact]
        public void ApiV2SelfSessionLogoutPostTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2SelfSessionLogoutPost();
        }

        /// <summary>
        /// Test ApiV2SelfSessionOptions
        /// </summary>
        [Fact]
        public void ApiV2SelfSessionOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2SelfSessionOptions();
        }

        /// <summary>
        /// Test Login
        /// </summary>
        [Fact]
        public void LoginTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.Login();
        }

        /// <summary>
        /// Test LoginWithProvider
        /// </summary>
        [Fact]
        public void LoginWithProviderTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid externalAuthenticatorId = null;
            //instance.LoginWithProvider(externalAuthenticatorId);
        }

        /// <summary>
        /// Test Merge
        /// </summary>
        [Fact]
        public void MergeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid externalAuthenticatorId = null;
            //instance.Merge(externalAuthenticatorId);
        }
    }
}
